This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 715623 - RFE: Please add dlmgetras to sosreport [NEEDINFO]
RFE: Please add dlmgetras to sosreport
Status: NEW
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 10:34 EDT by Ken Booth
Modified: 2013-12-18 19:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bmr: needinfo? (kbooth)


Attachments (Terms of Use)

  None (edit)
Description Ken Booth 2011-06-23 10:34:02 EDT
Description of problem:
  Some customers use the HDS product HDLM instead of multipathd and sometimes we need to look at its configuration without having to log a TSANet case with HDS

Version-Release number of selected component (if applicable):
  all releases

How reproducible:
  every time

Steps to Reproduce:
1. Find a customer or talk to someone at HDS support who can help test it
2. run sosreport
3. see if it captures the tarfile I think its called dlmgetras.tar.gz
  
Actual results:
  an sosreport which doesn't include the tarfile

Expected results:
  an sosreport which does include the tarfile

Additional info:
  I have contacts within HDS who would be willing to test this for us
Comment 1 Bryn M. Reeves 2011-06-23 11:46:50 EDT
Seems reasonable - would be much cleaner if we could have the script output into a directory within the existing sos destination so that we can avoid either packing a compressed tarball inside another compressed tarball or having to generate it and then extract it in side our report root.

Can you see if the script supports this?
Comment 2 Fedora Admin XMLRPC Client 2012-02-25 08:50:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-02-27 08:59:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Ken Booth 2012-08-02 17:52:48 EDT
Hi Bryn,

(In reply to comment #1)
> Seems reasonable - would be much cleaner if we could have the script output
> into a directory within the existing sos destination so that we can avoid
> either packing a compressed tarball inside another compressed tarball or
> having to generate it and then extract it in side our report root.
> 
> Can you see if the script supports this?

I have tried to get access to the code to verify this but have been unable to do so.

However, I have been able to find the manual page for the command online, and there is no documented option for this. Therefore, as its not documented, we should assume its not supported.

So unfortunately, we are either left with a tarball within a tarball, or we untar it before tarring up the sosreport.

Regards,
Ken.
Comment 5 Bryn M. Reeves 2012-12-11 14:32:38 EST
Any chance we could request this as a feature in the script?

Note You need to log in before you can comment on or make changes to this bug.